Subject: [Bug 204375] kernel 5.2.4 w. KASAN enabled fails to boot on a PowerMac G4 3,6 at very early stage

From: [email-masked]
Date: Thu, 01 Aug 2019 11:53:22 +0000

https://bugzilla.kernel.org/show_bug.cgi?id=204375

--- Comment #13 from Erhard F. ([email-masked]) ---
Thanks for the hint! But adding KASAN_SANITIZE := n to lib/mpi/Makefile did not
make a change in this case.

However I had the idea to disable btrfs (at all) and boot from my other ext4
partition. This worked out and I got further. After other stacktraces flying by
the boot process now stalls at offb switching over to radeondrmfb. Again reboot
after timer kicks in after 10min.

Seems btrfs is not in the best condition on ppc32 with 4K pagesize..

I would test this on the G5 or Talos II too, but there is no kernel option to
enable 'KASAN: runtime memory debugging' on ppc64.

-- 
You are receiving this mail because:
You are watching the assignee of the bug.